Attean::API::QueryPlanner(3pm)

NAME
Attean::API::IDPJoinPlanner - Iterative dynamic programming query planning role

VERSION
This document describes Attean::API::IDPJoinPlanner version 0.033

SYNOPSIS
  extends 'Attean::QueryPlanner';
  with 'Attean::API::IDPJoinPlanner';

DESCRIPTION
The Attean::API::IDPJoinPlanner role provides a query planner the "joins_for_plan_alternatives" method, as well as the cost estimation methods that consume the Attean::API::CostPlanner role.

ATTRIBUTES

METHODS

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

REFERENCES
The seminal reference for Iterative Dynamic Programming is "Iterative dynamic programming: a new class of query optimization algorithms" by D. Kossmann and K. Stocker, ACM Transactions on Database Systems (2000).

The heuristics to order triple patterns in this module is influenced by The ICS-FORTH Heuristics-based SPARQL Planner (HSP) <http://www.ics.forth.gr/isl/index_main.php?l=e&c=645>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.